/* Gogo Language Texts

Table of Contents

01.General
02.User Login, Logout, Register
03.Menu
04.Dashboards
05.Layouts
06.Applications
  06.01.Chat
  06.02.Survey
  06.03.Todo
07.UI
  07.01.Alerts
  07.02.Badges
  07.03.Buttons
  07.04.Cards
  07.05.Carousel
  07.06.Charts
  07.07.Collapse
  07.08.Dropdowns
  07.09.Editors
  07.10.Forms
  07.11.Form Components
  07.12.Icons
  07.13.Input Groups
  07.14.Jumbotron
  07.15.Modal
  07.16.Navigation
  07.17.Popover & Tooltip
  07.18.Sortable
08.LandingPage
*/

module.exports = {
  /* 01.General */
  "general.copyright": "Gogo React © 2018 All Rights Reserved.",

  /* 02.User Login, Logout, Register */
  "user.login-title": "Login",
  "user.register": "Register",
  "user.forgot-password": "Forgot Password",
  "user.email": "E-mail",
  "user.password": "Password",
  "user.forgot-password-question": "Forget password?",
  "user.fullname": "Full Name",
  "user.login-button": "LOGIN",
  "user.register-button": "REGISTER",
  "user.reset-password-button": "RESET",
  "user.buy": "BUY",
  "user.username": "Username",

  /* 03.Menu */
  "menu.app": "Home",
  "menu.dashboards": "Dashboards",
  "menu.default": "Default",
  "menu.analytics": "Analytics",
  "menu.ecommerce": "Ecommerce",
  "menu.content": "Content",
  "menu.layouts": "Layouts",
  "menu.data-list": "Data List",
  "menu.thumb-list": "Thumb List",
  "menu.image-list": "Image List",
  "menu.details": "Details",
  "menu.search": "Search",
  "menu.login": "Login",
  "menu.register": "Register",
  "menu.forgot-password": "Forgot Password",
  "menu.error": "Error",
  "menu.applications": "Applications",
  "menu.todo": "To-do List",
  "menu.survey": "Survey",
  "menu.chat": "Chat",
  "menu.ui": "UI",
  "menu.alerts": "Alerts",
  "menu.badges": "Badges",
  "menu.buttons": "Buttons",
  "menu.cards": "Cards",
  "menu.carousel": "Carousel",
  "menu.charts": "Charts",
  "menu.collapse": "Collapse",
  "menu.dropdowns": "Dropdowns",
  "menu.editors": "Editors",
  "menu.forms": "Forms",
  "menu.form-components": "Form Components",
  "menu.icons": "Icons",
  "menu.input-groups": "Input Groups",
  "menu.jumbotron": "Jumbotron",
  "menu.modal": "Modal",
  "menu.navigation": "Navigation",
  "menu.popover-tooltip": "Popover & Tooltip",
  "menu.sortable": "Sortable",
  "menu.menu": "Menu",
  "menu.subhidden": "Subhidden",
  "menu.hidden": "Hidden",
  "menu.visible": "Visible",

  "menu.landingpage": "Landing Page",
  "menu.multipage-home": "Multipage Home",
  "menu.singlepage-home": "Singlepage Home",
  "menu.about": "About",
  "menu.auth-login": "Auth Login",
  "menu.auth-register": "Auth Register",
  "menu.blog": "Blog",
  "menu.blog-detail": "Blog Detail",
  "menu.careers": "Careers",
  "menu.confirmation": "Confirmation",
  "menu.contact": "Contact",
  "menu.docs": "Docs",
  "menu.features": "Features",
  "menu.prices": "Prices",
  "menu.videos": "Videos",


  /* 04.Dashboards */
  "dashboards.pending-orders": "Pending Orders",
  "dashboards.completed-orders": "Completed Orders",
  "dashboards.refund-requests": "Refund Requests",
  "dashboards.new-comments": "New Comments",
  "dashboards.sales": "Sales",
  "dashboards.orders": "Orders",
  "dashboards.refunds": "Refunds",
  "dashboards.recent-orders": "Recent Orders",
  "dashboards.product-categories": "Product Categories",
  "dashboards.cakes": "Cakes",
  "dashboards.tickets": "Tickets",
  "dashboards.calendar": "Calendar",
  "dashboards.best-sellers": "Best Sellers",
  "dashboards.website-visits": "Website Visits",
  "dashboards.unique-visitors": "Unique Visitors",
  "dashboards.this-week": "This Week",
  "dashboards.last-week": "Lat Week",
  "dashboards.this-month": "This Month",
  "dashboards.conversion-rates": "Conversion Rates",
  "dashboards.per-session": "Per Session",
  "dashboards.profile-status": "Profile Status",
  "dashboards.payment-status": "Payment Status",
  "dashboards.work-progress": "Work Progress",
  "dashboards.tasks-completed": "Tasks Completed",
  "dashboards.payments-done": "Payments Done",
  "dashboards.order-stock": "Order - Stock",
  "dashboards.categories": "Categories",
  "dashboards.quick-post": "Quick Post",
  "dashboards.title": "Title",
  "dashboards.content": "Content",
  "dashboards.category": "Category",
  "dashboards.save-and-publish": "Save and Publish",
  "dashboards.top-viewed-posts": "Top Viewed Posts",
  "dashboards.posts": "Posts",
  "dashboards.pending-for-publish": "Pending for publish",
  "dashboards.users": "Users",
  "dashboards.on-approval-process": "On approval process",
  "dashboards.alerts": "Alerts",
  "dashboards.waiting-for-notice": "Waiting for notice",
  "dashboards.files": "Files",
  "dashboards.pending-for-print": "Pending for print",
  "dashboards.logs": "Logs",
  "dashboards.gogo": "GOGO",
  "dashboards.magic-is-in-the-details": "MAGIC IS IN THE DETAILS",
  "dashboards.yes-it-is-indeed": "Yes, it is indeed!",
  "dashboards.advanced-search": "Advanced Search",
  "dashboards.toppings": "Toppings",
  "dashboards.type": "Type",
  "dashboards.keyword": "Keyword",
  "dashboards.search": "Search",
  "dashboards.top-rated-items": "Top Rated Items",

  /* 05.Layouts */
  "layouts.add-new": "ADD NEW",
  "layouts.add-new-modal-title": "Add New Item",
  "layouts.display-options": "Display Options",
  "layouts.orderby": "Order By : ",
  "layouts.product-name": "Product Name",
  "layouts.category": "Category",
  "layouts.description": "Description",
  "layouts.status": "Status",
  "layouts.cancel": "Cancel",
  "layouts.submit": "Submit",
  "layouts.delete": "Delete",
  "layouts.another-action": "Another action",
  "layouts.actions": "ACTIONS",
  "layouts.header": "Header",
  "layouts.details": "DETAILS",
  "layouts.orders": "ORDERS",
  "layouts.rating": "Rating",
  "layouts.price": "Price",
  "layouts.ingredients": "Ingredients",
  "layouts.is-vegan": "Is Vegan",
  "layouts.order-status": "Order Status",
  "layouts.bake-progress": "Bake Progress",
  "layouts.popularity": "Popularity",
  "layouts.comments": "Comments",
  "layouts.error-title": "Ooops... looks like an error occurred!",
  "layouts.error-code": "Error code",
  "layouts.go-back-home": "GO BACK HOME",

  /* 06.Applications */

  /* 06.01.Chat */
  "chat.messages": "Messages",
  "chat.contacts": "Contacts",
  "chat.saysomething": "Say something..",


  /* 06.02.Survey */
  "survey.delete": "Delete",
  "survey.edit": "Edit",
  "survey.add-new": "ADD NEW",
  "survey.add-new-title": "Add New Survey",
  "survey.title": "Title",
  "survey.category": "Category",
  "survey.label": "Label",
  "survey.status": "Status",
  "survey.cancel": "Cancel",
  "survey.submit": "Submit",
  "survey.another-action": "Another action",
  "survey.display-options": "Display Options",
  "survey.orderby": "Order By : ",
  "survey.all-surveys": "All Surveys",
  "survey.completed-surveys": "Completed Surveys",
  "survey.categories": "Categories",
  "survey.active-surveys": "Active Surveys",
  "survey.labels": "Labels",

  /* 06.03.Todo */
  "todo.add-new": "ADD NEW",
  "todo.add-new-title": "Add New Todo",
  "todo.title": "Title",
  "todo.detail": "Detail",
  "todo.category": "Category",
  "todo.label": "Label",
  "todo.status": "Status",
  "todo.cancel": "Cancel",
  "todo.submit": "Submit",
  "todo.action": "Action",
  "todo.another-action": "Another action",
  "todo.display-options": "Display Options",
  "todo.orderby": "Order By : ",
  "todo.all-tasks": "All Tasks",
  "todo.pending-tasks": "Pending Tasks",
  "todo.completed-tasks": "Completed Tasks",
  "todo.categories": "Categories",
  "todo.labels": "Labels",

  /* 07.UI */

  /* 07.01.Alerts */
  "alert.rounded": "Rounded Alert",
  "alert.react-notifications": "React Notifications",
  "alert.outline": "Outline",
  "alert.primary": "Primary",
  "alert.secondary": "Secondary",
  "alert.info": "Info",
  "alert.success": "Success",
  "alert.warning": "Warning",
  "alert.error": "Error",
  "alert.filled": "Filled",
  "alert.primary-text": "This is a primary alert—check it out!",
  "alert.secondary-text": "This is a secondary alert—check it out!",
  "alert.success-text": "This is a success alert—check it out!",
  "alert.danger-text": "This is a danger alert—check it out!",
  "alert.warning-text": "This is a warning alert—check it out!",
  "alert.info-text": "This is a info alert—check it out!",
  "alert.light-text": "This is a light alert—check it out!",
  "alert.dark-text": "This is a dark alert—check it out!",
  "alert.default": "Default Alert",
  "alert.dismissing": "Dismissing Alert",
  "alert.dismissing-text":
    "Holy guacamole! You should check in on some of those fields below.",
  "alert.dismissing-without-animate-text":
    "I am an alert and I can be dismissed without animating!",

  /* 07.02.Badges */
  "badge.sizes": "Sizes",
  "badge.colors": "Colors",
  "badge.outline": "Outline",
  "badge.links": "Links",
  "badge.counter-badges": "Counter Badges",
  "badge.bootstrap-default": "Bootstrap Default",
  "badge.primary": "Primary",
  "badge.secondary": "Secondary",
  "badge.success": "Success",
  "badge.danger": "Danger",
  "badge.warning": "Warning",
  "badge.info": "Info",
  "badge.light": "Light",
  "badge.dark": "Dark",

  /* 07.03.Buttons */
  "button.default": "Bootstrap Default",
  "button.colors": "Colors",
  "button.rounded": "Rounded",
  "button.outline": "Outline",
  "button.states": "States",
  "button.sizes": "Sizes",
  "button.button-groups": "Button Groups",
  "button.large-button": "Large Button",
  "button.small-button": "Small Button",
  "button.extra-small-button": "Extra Small Button",
  "button.block-button": "Block Button",
  "button.active": "Active",
  "button.disabled": "Disabled",
  "button.basic": "Basic",
  "button.toolbar": "Toolbar",
  "button.nesting": "Nesting",
  "button.vertical-variation": "Vertical Variation",
  "button.checkbox-radio-button": "Checkbox and Radio Button",
  "button.checkbox": "Checkbox",
  "button.radio": "Radio",
  "button.radio-button": "Radio Button",
  "button.primary": "Primary",
  "button.secondary": "Secondary",
  "button.success": "Success",
  "button.danger": "Danger",
  "button.warning": "Warning",
  "button.info": "Info",
  "button.light": "Light",
  "button.dark": "Dark",
  "button.states-text":
    "This button shows a spinner for 2 seconds and an error icon for 3 seconds before switching to normal state. This states can be triggered by adding and removing classes.",
  "button.click-here": "Click Here",
  "button.states-text-alternate":
    "This button shows a spinner for 2 seconds and an error icon for 3 seconds before switching to normal state. This states can be triggered by adding and removing classes.",
  "button.primary-link": "Primary Link",
  "button.link": "Link",
  "button.primary-button": "Primary Button",
  "button.button": "Button",
  "button.left": "Left",
  "button.middle": "Middle",
  "button.right": "Right",
  "button.dropdown": "Dropdown",
  "button.dropdown-link": "Dropdown Link",

  /* 07.04.Cards */
  "cards.icon-card": "Icon Card",
  "cards.image-card": "Image Card",
  "cards.image-overlay-card": "Image Overlay Card",
  "cards.image-card-list": "Image Card List",
  "cards.tab-card": "Tab Card",
  "cards.user-card": "User Card",

  /* 07.05.Carousel */
  "carousel.basic": "Carousel Basic",
  "carousel.single": "Carousel Single",
  "carousel.without-controls": "Carousel Without Controls",

  /* 07.06.Charts */
  "charts.line": "Line Chart",
  "charts.polar": "Polar Chart",
  "charts.area": "Area Chart",
  "charts.scatter": "Scatter Chart",
  "charts.bar": "Bar Chart",
  "charts.radar": "Radar Chart",
  "charts.pie": "Pie Chart",
  "charts.doughnut": "Doughnut Chart",
  "charts.shadow": "Shadow",
  "charts.no-shadow": "No Shadow",

  /* 07.07.Collapse */
  "collapse.basic": "Basic",
  "collapse.toggle": "Toggle",
  "collapse.accordion": "Accordion",
  "collapse.controlled": "Controlled",
  "collapse.uncontrolled": "Uncontrolled",

  /* 07.08.Dropdowns */
  "dropdowns.basic": "Basic",
  "dropdowns.controlled": "Controlled",
  "dropdowns.uncontrolled": "Uncontrolled",
  "dropdowns.dropdown": "Dropdown",
  "dropdowns.header": "Header",
  "dropdowns.action": "Action",
  "dropdowns.another-action": "Another Action",
  "dropdowns.right": "Right",
  "dropdowns.left": "Left",
  "dropdowns.drop-directions": "Drop Directions",
  "dropdowns.dropright": "Dropright",
  "dropdowns.dropleft": "Dropleft",
  "dropdowns.small-button": "Small Button",
  "dropdowns.large-button": "Large Button",
  "dropdowns.sizing": "Sizing",
  "dropdowns.split-button": "Split Button Dropdowns",
  "dropdowns.dropup": "Dropup",

  /* 07.09.Editors */
  "editors.draftjs": "Draft.js",
  "editors.quill-standart": "Quill Standard",
  "editors.quill-bubble": "Quill Bubble",

  /* 07.10.Forms */
  "forms.basic": "Basic",
  "forms.email": "E-mail",
  "forms.email-muted": "We'll never share your email with anyone else.",
  "forms.password": "Password",
  "forms.submit": "Submit",
  "forms.horizontal": "Horizontal",
  "forms.radios": "Radios",
  "forms.first-radio": "First radio",
  "forms.second-radio": "Second radio",
  "forms.third-radio-disabled": "Third disabled radio",
  "forms.checkbox": "Checkbox",
  "forms.signin": "Sign in",
  "forms.top-labels-over-line": "Top Labels Over Line",
  "forms.tags": "Tags",
  "forms.date": "Date",
  "forms.state": "State",
  "forms.top-labels-in-input": "Top Labels In Input",
  "forms.email-u": "E-MAIL",
  "forms.password-u": "PASSWORD",
  "forms.tags-u": "TAGS",
  "forms.date-u": "DATE",
  "forms.state-u": "STATE",
  "forms.grid": "Form Grid",
  "forms.address": "Address",
  "forms.address2": "Address 2",
  "forms.city": "City",
  "forms.city-message": "Please select a city!",
  "forms.state-message": "Please select a state!",
  "forms.zip": "Zip",
  "forms.signup": "Signup",
  "forms.inline": "Inline",
  "forms.validation": "Validation",
  "forms.default": "Default",
  "forms.firstname": "First name",
  "forms.firstname-message": "Please enter your first name!",
  "forms.lastname": "Last name",
  "forms.lastname-message": "Please enter your last name!",

  /* 07.11.Form Components */
  "form-components.custom-inputs": "Custom Inputs",
  "form-components.checkboxes": "Checkboxes",
  "form-components.radios": "Radios",
  "form-components.inline": "Inline",
  "form-components.react-select": "React Select",
  "form-components.state-single": "State Single",
  "form-components.state-multiple": "State Multiple",
  "form-components.react-autosuggest": "React Autosuggest",
  "form-components.date-picker": "Date Picker",
  "form-components.date": "Date",
  "form-components.date-range": "Date Range",
  "form-components.date-with-time": "Date with Time",
  "form-components.embedded": "Embedded",
  "form-components.fine-uploader": "Fine Uploader",
  "form-components.drop-files-here": "Drop Files Here",
  "form-components.tags": "Tags",
  "form-components.switch": "Switch",
  "form-components.primary": "Primary",
  "form-components.secondary": "Secondary",
  "form-components.primary-inverse": "Primary Inverse",
  "form-components.secondary-inverse": "Secondary Inverse",
  "form-components.slider": "Slider",
  "form-components.double-slider": "Double Slider",
  "form-components.single-slider": "Single Slider",
  "form-components.rating": "Rating",
  "form-components.interactive": "Interactive",
  "form-components.readonly": "Readonly",
  "form-components.type-a-cake": "Type a Cake",
  "form-components.start": "Start",
  "form-components.end": "End",
  /* 07.12.Icons */
  "icons.simplelineicons": "Simple Line Icons",
  "icons.iconsmind": "Iconsmind Icons",

  /* 07.13.Input Groups */
  "input-groups.basic": "Basic",
  "input-groups.sizing": "Sizing",
  "input-groups.small": "Small",
  "input-groups.default": "Default",
  "input-groups.large": "Large",
  "input-groups.checkboxes-and-radios": "Checkboxes and radios",
  "input-groups.multiple-inputs": "Multiple Inputs",
  "input-groups.first-and-last-name": "First and last name",
  "input-groups.multiple-addons": "Multiple Addons",
  "input-groups.button-addons": "Button Addons",
  "input-groups.button": "Button",
  "input-groups.buttons-with-dropdowns": "Buttons with Dropdowns",
  "input-groups.dropdown": "Dropdown",
  "input-groups.header": "Header",
  "input-groups.action": "Action",
  "input-groups.another-action": "Another Action",
  "input-groups.custom-select": "Custom Select",
  "input-groups.options": "Options",
  "input-groups.choose": "Choose...",
  "input-groups.custom-file-input": "Custom File Input",

  /* 07.14.Jumbotron */
  "jumbotron.hello-world": "Hello, world!",
  "jumbotron.lead":
    "This is a simple hero unit, a simple jumbotron-style component for calling extra attention to featured content or information.",
  "jumbotron.lead-detail":
    "It uses utility classes for typography and spacing to space content out within the larger container.",
  "jumbotron.learn-more": "Learn more",

  /* 07.15.Modal */
  "modal.basic": "Basic",
  "modal.modal-title": "Modal title",
  "modal.launch-demo-modal": "Launch Demo Modal",
  "modal.scrolling-long-content": "Scrolling Long Content",
  "modal.backdrop": "Backdrop",
  "modal.backdrop-value": "Backdrop value",
  "modal.right-modal": "Right Modal",
  "modal.launch-right-modal": "Launch Right Modal",
  "modal.nested-modal": "Nested Modal",
  "modal.size": "Size",
  "modal.launch-large-modal": "Launch Large Modal",
  "modal.launch-small-modal": "Launch Small Modal",

  /* 07.16.Navigation */
  "nav.basic": "Nav Basic",
  "nav.active": "Active",
  "nav.disabled": "Disabled",
  "nav.disabled-link": "Disabled Link",
  "nav.link": "Link",
  "nav.longer-link": "Longer nav link",
  "nav.another-link": "Another Link",
  "nav.right": "Right",
  "nav.dropdown": "Dropdown",
  "nav.header": "Header",
  "nav.action": "Action",
  "nav.another-action": "Another Action",
  "nav.horizontal-alignment": "Nav Horizontal Alignment",
  "nav.vertical-alignment": "Nav Vertical Alignment",
  "nav.pills": "Nav Pills",
  "nav.fill-justify": "Nav Fill and Justify",
  "nav.pills-dropdowns": "Nav Pills with Dropdowns",
  "nav.pagination-basic": "Pagination Basic",
  "nav.pagination-sizing": "Pagination Sizing",
  "nav.large": "Large",
  "nav.small": "Small",
  "nav.center": "Center",
  "nav.pagination-alignment": "Pagination Alignment",
  "nav.breadcrumb-basic": "Breadcrumb Basic",

  /* 07.17.Popover & Tooltip */
  "popover-tooltip.popover": "Popover",
  "popover-tooltip.tooltip": "Tooltip",

  /* 07.18.Sortable */
  "sortable.columns": "Sorting Columns",
  "sortable.basic": "Basic",
  "sortable.handles": "Handles",

  /* 08.LandingPage */
  "lp.menu.features": "FEATURES",
  "lp.menu.learn": "LEARN",
  "lp.menu.docs": "DOCS",
  "lp.menu.videos": "VIDEOS",
  "lp.menu.help": "HELP",
  "lp.menu.pricing": "PRICING",
  "lp.menu.blog": "BLOG",
  "lp.menu.signin": "SIGN IN",
  "lp.menu.signup": "SIGN UP",
  "lp.menu.reviews": "REVIEWS",

  "lp.hero.line-1": "MAGIC IS IN",
  "lp.hero.line-2": "THE DETAILS",
  "lp.hero.detail-line-1": "Gogo is a combination of good design, quality code and attention for details.",
  "lp.hero.detail-line-2": "We used same design language for components, layouts, apps and other parts of the theme.",
  "lp.hero.detail-line-3": "Hope you enjoy it!",
  "lp.hero.register": "REGISTER NOW",

  "lp.featurecarousel.title-1": "Tasteful Design",
  "lp.featurecarousel.detail-1": "User experience principles at the heart of the design process.",
  "lp.featurecarousel.title-2": "Superfine Charts",
  "lp.featurecarousel.detail-2": "Charts that looks good with color, opacity, border and shadow.",
  "lp.featurecarousel.title-3": "Two Panels Menu",
  "lp.featurecarousel.detail-3": "A two part menu that looks good and does the job well.",
  "lp.featurecarousel.title-4": "Layouts for the Job",
  "lp.featurecarousel.detail-4": "Lots of different layouts for different tasks.",
  "lp.featurecarousel.title-5": "Extra Responsive",
  "lp.featurecarousel.detail-5": "Better experiences for small and large screens via xxl and xxs.",
  "lp.featurecarousel.view": "VIEW",

  "lp.featuressection.title": "Features At a Glance",
  "lp.featuressection.detail": "We tried to create an admin theme that we would like to use ourselves so we listed our priorities. We would like to have a theme that is not over complicated to use, does the job well, contains must have components and looks really nice.",
  "lp.featuressection.title-1": "Pleasant Design",
  "lp.featuressection.detail-1-1": "As a web developer we enjoy to work on something looks nice. It is not an absolute necessity but it really motivates us that final product will look good for user point of view.",
  "lp.featuressection.detail-1-2": "So we put a lot of work into colors, icons, composition and design harmony. Themed components and layouts with same design language.",
  "lp.featuressection.detail-1-3": "We kept user experience principles always at the heart of the design process.",
  "lp.featuressection.title-2": "Layouts for the Job",  
  "lp.featuressection.detail-2-1": "Layouts are the real thing, they need to be accurate and right for the job. They should be functional for both user and developer.",  
  "lp.featuressection.detail-2-2": "We created lots of different layouts for different jobs.",  
  "lp.featuressection.detail-2-3": "Listing pages with view mode changing capabilities, shift select and select all functionality, application layouts with an additional menu, authentication and error layouts which has a different design than the other pages were our main focus. We also created details page with tabs that can hold many components.",  
  "lp.featuressection.title-3": "Superfine Charts",
  "lp.featuressection.detail-3-1": "Using charts is a good way to visualize data but they often look ugly and breaks the rhythm of design.",
  "lp.featuressection.detail-3-2": "We concentrated on a single chart library and tried to create charts that looks good with color, opacity, border and shadow.",
  "lp.featuressection.detail-3-3": "Used certain plugins and created some to make charts even more useful and beautiful.",

  "lp.reviews.title": "Client Reviews",
  "lp.reviews.detail": "People love Gogo. We have received lots of awesome reviews for desing quality, documentation, code quality, flexibility, features, support and other categories. Here are some of them.",
  "lp.reviews.review-name-1": "codebars",
  "lp.reviews.review-type-1": "Code Quality",
  "lp.reviews.review-detail-1": "Phosfluorescently engage worldwide methodologies with web-enabled technology. Interactively coordinate proactive e-commerce via process-centric 'outside the box' thinking.",
  "lp.reviews.review-name-2": "helvetica",
  "lp.reviews.review-type-2": "Flexibility",
  "lp.reviews.review-detail-2": "Credibly innovate granular internal or organic sources whereas high standards in web-readiness. Energistically scale future-proof core competencies.",
  "lp.reviews.review-name-3": "logorrhea",
  "lp.reviews.review-type-3": "Design Quality",
  "lp.reviews.review-detail-3": "Collaboratively administrate turnkey channels whereas virtual e-tailers. Objectively seize scalable metrics whereas proactive e-services.",
  "lp.reviews.review-name-4": "nanaimo",
  "lp.reviews.review-type-4": "Code Quality",
  "lp.reviews.review-detail-4": "Globally incubate standards compliant channels before scalable benefits. Quickly disseminate superior deliverables whereas web-enabled applications.",
  "lp.reviews.review-name-5": "theviper",
  "lp.reviews.review-type-5": "Design Quality",
  "lp.reviews.review-detail-5": "Collaboratively administrate turnkey channels whereas virtual e-tailers. Objectively seize scalable metrics whereas proactive e-services.",

  "lp.team.title": "Meet the Team",
  "lp.team.detail-1": "Our team brings a wealth of experience from some of the world’s most formidable production studios, agencies and startups.",
  "lp.team.detail-2": "We’re led by a team who constantly questions, tinkers, and challenges to unlock great creativity around every turn.",

  "lp.clients.title": "Thousands of Happy Customers",
  "lp.clients.detail": "Humanitarian resist incubator movements outcomes. Low-hanging fruit synergy correlation accessibility; save the world unprecedented challenge scalable. Leverage strategy, and, game-changer, agile, social return on investment.",

  "lp.footer.menu-1": "COMPANY",
  "lp.footer.menu-1-1": "About",
  "lp.footer.menu-1-2": "Blog",
  "lp.footer.menu-1-3": "Careers",
  "lp.footer.menu-1-4": "Contact",
  "lp.footer.menu-2": "PRODUCT",
  "lp.footer.menu-2-1": "Features",
  "lp.footer.menu-2-2": "Pricing",
  "lp.footer.menu-2-3": "Api",
  "lp.footer.menu-2-4": "Enterprise",
  "lp.footer.menu-3": "LEARNING",
  "lp.footer.menu-3-1": "Help",
  "lp.footer.menu-3-2": "Quick Start",
  "lp.footer.menu-3-3": "Docs",
  "lp.footer.menu-3-4": "Videos",
  "lp.footer.menu-4": "LEGAL",
  "lp.footer.menu-4-1": "Security",
  "lp.footer.menu-4-2": "Privacy",
  "lp.footer.menu-4-3": "Cookies",
  "lp.footer.copyright": "2018 © ColoredStrategies",

  "lp.blogsection.title": "Latest from Blog",
  "lp.blogsection.detail": "Humanitarian resist incubator movements outcomes. Low-hanging fruit synergy correlation accessibility; save the world unprecedented challenge scalable. Leverage strategy, and, game-changer, agile, social return on investment.",
  "lp.blogsection.title-1": "Progressively Maintain Extensive Infomediaries",
  "lp.blogsection.detail-1": "Credibly reintermediate backend ideas for cross-platform models. Continually reintermediate integrated processes through technically sound intellectual capital.",
  "lp.blogsection.title-2": "Assertively Iterate Resource Maximizing",
  "lp.blogsection.detail-2": "Keeping your eye on the ball while performing a deep dive on the start-up mentality to derive convergence on cross-platform integration.",
  "lp.blogsection.title-3": "Podcasting Operational Change Management Inside of Workflows",
  "lp.blogsection.detail-3": "Quickly deploy strategic networks with compelling e-business. Credibly pontificate highly efficient manufactured products and enabled data.",
  "lp.blogsection.title-4": "Objectively Innovate Empowered Manufactured Products",
  "lp.blogsection.detail-4": "Completely synergize resource taxing credibly pontificate highly efficient relationships via premier niche markets.",
  "lp.blogsection.title-5": "Assertively Iterate Resource Maximizing",

  "lp.pricetable.title": "Pricing",
  "lp.pricetable.detail": "Humanitarian resist incubator movements outcomes. Low-hanging fruit synergy correlation accessibility; save the world unprecedented challenge scalable. Leverage strategy, and, game-changer, agile, social return on investment.",
  "lp.pricetable.purchase": "PURCHASE",
  "lp.pricetable.title-1": "DEVELOPER",
  "lp.pricetable.detail-1": "User/Month",
  "lp.pricetable.feature-1-1": "Number of end products 1",
  "lp.pricetable.feature-1-2": "Two factor authentication",
  "lp.pricetable.feature-1-3": "Free updates",
  "lp.pricetable.feature-1-4": "Forum support",
  "lp.pricetable.title-2": "TEAM",
  "lp.pricetable.detail-2": "User/Month Up to 10 Users",
  "lp.pricetable.feature-2-1": "24/5 support",
  "lp.pricetable.feature-2-2": "Number of end products 1",
  "lp.pricetable.feature-2-3": "Two factor authentication",
  "lp.pricetable.feature-2-4": "Free updates",
  "lp.pricetable.feature-2-5": "Forum support",
  "lp.pricetable.feature-2-6": "Team Permissions",
  "lp.pricetable.title-3": "ENTERPRISE",
  "lp.pricetable.detail-3": "User/Month 10+ Users",
  "lp.pricetable.feature-3-1": "24/7 support",
  "lp.pricetable.feature-3-2": "Number of end products 1",
  "lp.pricetable.feature-3-3": "Two factor authentication",
  "lp.pricetable.feature-3-4": "Free updates",
  "lp.pricetable.feature-3-5": "Forum support",
  "lp.pricetable.feature-3-6": "Team Permissions",
  "lp.pricetable.feature-3-7": "User actions audit log",

  "lp.pricecomparison.title": "Feature Comparison",
  "lp.pricecomparison.detail": "Well, no need to brood on what tomorrow may bring. For one thing, tomorrow will be certain to bring worse than today, for many days to come. And there is nothing more that I can do to help it. The board is set, and the pieces are moving.",

  "lp.offer.title": "Start Your Free Month",
  "lp.offer.detail": "Distinctively exploit optimal alignments for intuitive bandwidth. Quickly coordinate e-business applications through revolutionary catalysts for change. Seamlessly underwhelm optimal testing procedures whereas bricks-and-clicks processes.",
  "lp.offer.button": "FREE TRIAL",

  "lp.screens.title": "Screenshots",
  "lp.screens.detail": "With the help of components and layouts, we created three different applications. They are a good way to get you started if you want to build something similar.",
  "lp.screens.library": "Library",
  "lp.screens.todo": "Todo",
  "lp.screens.chat": "Chat",
  "lp.screens.survey": "Survey",

  "lp.icons.title": "Not Just Another Theme",
  "lp.icons.detail": "We tried to create an admin theme that we would like to use ourselves so we listed our priorities. We would like to have a theme that is not over complicated to use, does the job well, contains must have components and looks really nice.",
  "lp.icons.title-1": "Right Click Menu",
  "lp.icons.detail-1": "Increases overall usability of the project by providing additional actions menu.",
  "lp.icons.title-2": "Video Player",
  "lp.icons.detail-2": "Carefully themed video player powered by Video.js library with Youtube support.",
  "lp.icons.title-3": "Keyboard Shortcuts",
  "lp.icons.detail-3": "Easily configurable keyboard shortcuts plugin that highly improves user experience.",
  "lp.icons.title-4": "Two Panels Menu",
  "lp.icons.detail-4": "Three states two panels icon menu that looks good, auto resizes and does the job well.",
  "lp.icons.title-5": "Icons Mind (Save $79)",
  "lp.icons.detail-5": "1040 icons in 53 different categories, designed pixel perfect and ready for your project.",
  "lp.icons.title-6": "10 Color Schemes",
  "lp.icons.detail-6": "Colors, icons and design harmony that creates excellent themes to cover entire project.",
  "lp.icons.title-7": "4 Applications",
  "lp.icons.detail-7": "Applications that mostly made of components are the way to get started to create something similar.",
  "lp.icons.title-8": "Lots of Components",
  "lp.icons.detail-8": "From carousels to charts, switches to lists... All of them themed with same design principles.",

  "lp.features.title": "The Features You Need",
  "lp.features.detail": "Distinctively exploit optimal alignments for intuitive bandwidth. Quickly coordinate e-business applications through revolutionary catalysts for change. Seamlessly underwhelm optimal testing procedures whereas bricks-and-clicks processes.",
 
  "lp.pricing.title": "Prices for Every Budget",
  "lp.pricing.detail": "Distinctively exploit optimal alignments for intuitive bandwidth. Quickly coordinate e-business applications through revolutionary catalysts for change. Seamlessly underwhelm optimal testing procedures whereas bricks-and-clicks processes.",

  "lp.newsletter.title": "Newsletter",
  "lp.newsletter.detail": "To receive our newsletter please complete the form below. We take your privacy seriously and we will not share your information with others. You can unsubscribe at any time.",
  "lp.newsletter.placeholder": "E-mail address",
  "lp.newsletter.button": "JOIN",

  "lp.login.title": "Login",
  "lp.login.detail-1": "Please use your credentials to login.",
  "lp.login.detail-2": "If you are not a member, please",
  "lp.login.register": "register",
  "lp.login.name": "NAME",
  "lp.login.email": "EMAIL",
  "lp.login.password": "PASSWORD",
  "lp.login.buttonlabel": "LOGIN",

  "lp.register.title": "Register",
  "lp.register.detail-1": "Please use this form to register. If you are already a member, please",
  "lp.register.login": "login",
  "lp.register.buttonlabel": "REGISTER",

  "lp.docs.title": "Answers from Our Team",
  "lp.docs.detail": "Search our documentation, guides and frequently asked questions.",
  "lp.docs.search": "Search",
 
  "lp.videos.title": "Video Guides",
  "lp.videos.detail": "Search our videos to provide you the guidence to get you started.",
  "lp.videos.search": "Search",

  "lp.contact.title": "24/7 Dedicated Support",
  "lp.contact.detail": "Capitalize on low hanging fruit to identify a ballpark value added activity to beta test. Override low hanging fruit to identify a ballpark the digital divide with additional clickthroughs from DevOps.",

  "lp.connect.title": "Connect with Us",
  "lp.connect.detail": "To receive our newsletter please complete the form below. We take your privacy seriously and we will not share your information with others. You can unsubscribe at any time.",
  "lp.connect.title-1": "Live Chat",
  "lp.connect.title-2": "Your Opinion",
  "lp.connect.title-3": "Demo Videos",
  "lp.connect.title-4": "Documentation",
  "lp.connect.button-1": "START",
  "lp.connect.button-2": "FEEDBACK",
  "lp.connect.button-3": "WATCH",
  "lp.connect.button-4": "VIEW",

  "lp.about.title": "About Our Company",
  "lp.about.detail": "Leverage agile frameworks to provide a robust synopsis for high level overviews. Iterative approaches to corporate strategy foster collaborative thinking to further the overall value proposition.",

  "lp.timeline.title": "A Brief History",
  "lp.timeline.detail": "Data citizen-centered granular, effective altruism white paper engaging; best practices thought partnership optimism. Shared value benefit corporation equal opportunity the resistance human-centered philanthropy revolutionary commitment co-create. Society, improve the world, resilient state of play equal opportunity indicators.",
  "lp.timeline.year-1": "2011",
  "lp.timeline.title-1": "Foundation",
  "lp.timeline.subtitle-1": "Citizen-centered incubator",
  "lp.timeline.detail-1": "Equal opportunity changemaker scalable society; movements commitment, fairness best practices. Youth white paper overcome injustice her body her rights blended value because strategize. A innovate; empower communities, activate save the world. Justice; policymaker systems thinking to change-makers.",
  "lp.timeline.year-2": "2013",
  "lp.timeline.title-2": "Expanding",
  "lp.timeline.subtitle-2": "Program area collective",
  "lp.timeline.detail-2": "Equal opportunity changemaker scalable society; movements commitment, fairness best practices. Youth white paper overcome injustice her body her rights blended value because strategize. Youth social impact thought leader program area collective impact. Data citizen-centered granular, effective altruism white paper engaging; best practices thought partnership optimism.",
  "lp.timeline.year-3": "2015",
  "lp.timeline.title-3": "1000th Customer",
  "lp.timeline.subtitle-3": "Equal opportunity",
  "lp.timeline.detail-3": "Game-changer inclusion; thought leader change-makers milestones; benefit corporation storytelling. Compassion compelling emerging; invest humanitarian. Academic gender rights incubator systems thinking technology. Engaging strengthening infrastructure social capital justice but external partners.",
  "lp.timeline.year-4": "2017",
  "lp.timeline.title-4": "First Office in USA",
  "lp.timeline.subtitle-4": "Move the needle impact",
  "lp.timeline.detail-4": "Leverage social innovation state of play commitment natural resources targeted B-corp big data blended value. Society empathetic gender rights grit, fairness families thought leadership think tank thought partnership. Communities thought partnership social capital corporate social responsibility collaborate.",
  "lp.timeline.year-5": "2018",
  "lp.timeline.title-5": "We're voted UK's Best Place to Work",
  "lp.timeline.subtitle-5": "Communities thought partnership",
  "lp.timeline.detail-5": "Ideate compassion accessibility, invest paradigm. Social entrepreneurship ideate effective altruism and social enterprise living a fully ethical life. Move the needle impact investing impact investing.",

  "lp.values.title": "Core Values",
  "lp.values.detail": "Mobilize shared vocabulary mobilize problem-solvers synergy, citizen-centered collective impact low-hanging fruit. Change-makers, empower communities thought leadership ideate grit incubator data.",
  "lp.values.title-1": "Movements when shine philanthropy co-creation our work.",
  "lp.values.title-2": "Program area and dynamic venture.",
  "lp.values.title-3": "Citizen-centered collective impact low-hanging fruit.",
  "lp.values.title-4": "Mobilize shared vocabulary mobilize problem-solvers synergy.",
  "lp.values.title-5": "To grit indicators, incubator issue outcomes radical.",
  "lp.values.title-6": "Change-makers, empower communities.",
  "lp.values.title-7": "Social return on investment.",
  "lp.values.title-8": "Strategy invest save the world.",

  "lp.numbers.title": "Gogo by Numbers",
  "lp.numbers.detail": "Social return on investment unprecedented challenge co-creation bandwidth entrepreneur compassion. Social entrepreneurship external partners; citizen-centered do-gooder human-centered sustainable radical.",
  "lp.numbers.title-1": "15.000 Happy Customers",
  "lp.numbers.title-2": "Over 1M Open Source Donation",
  "lp.numbers.title-3": "240 Hard Working Employees",
  "lp.numbers.title-4": "4 Purrfect Co-workers",

  "lp.blogdetail.title": "Taking Seamless Key Performance",
  "lp.blogdetail.detail": "Iterative approaches to corporate strategy foster collaborative thinking to further the overall value proposition.",
  "lp.blogdetail.content": 'Podcasting operational change management inside of workflows to establish a framework. Taking seamless key performance indicators offline to maximise the long tail. Keeping your eye on the ball while performing a deep dive on the start-up mentality to derive convergence on cross-platform integration. Collaboratively administrate empowered markets via plug-and-play networks. Dynamically procrastinate B2C users after installed base benefits. Dramatically visualize customer directed convergence without revolutionary ROI. Efficiently unleash cross-media information without cross-media value. Quickly maximize timely deliverables for real-time schemas. Dramatically maintain clicks-and-mortar solutions without functional solutions. Completely synergize resource taxing relationships via premier niche markets. Professionally cultivate one-to-one customer service with robust ideas. Dynamically innovate resource-leveling customer service for state of the art customer service. <br /> <br /> Mauris hendrerit orci at iaculis laoreet. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Nulla imperdiet dolor a ligula sagittis, id egestas ipsum accumsan. Donec mollis, diam at commodo eleifend, nunc ante imperdiet justo, non interdum libero urna a elit. Etiam gravida dapibus dui sed egestas. Fusce in libero at nisl aliquet iaculis. Cras id porttitor mauris. Ut eu justo placerat turpis condimentum congue eu non felis. Donec vel quam sit amet nunc ornare pellentesque sit amet non augue. <br /> <br /> Vivamus ultricies augue vitae commodo condimentum. Nullam faucibus eros eu mauris feugiat, eget consectetur tortor tempus. Sed volutpat mollis dui eget fringilla. Vestibulum blandit urna ut tellus lobortis tristique. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Pellentesque quis cursus mauris. Nam in ornare erat. Vestibulum convallis enim ac massa dapibus consectetur. Maecenas facilisis eros ac felis mattis, eget auctor sapien varius. Nulla non purus fermentum, pulvinar dui condimentum, malesuada nibh. Sed viverra quam urna, at condimentum ante viverra non. Mauris posuere erat sapien, a convallis libero lobortis sit amet. Suspendisse in orci tellus. <br /> <br /> Phasellus efficitur tellus a sem condimentum, vitae convallis sapien feugiat. Aenean non nibh nec nunc aliquam iaculis. Ut quis suscipit nunc. Duis at lectus a est aliquam venenatis vitae eget arcu. Sed egestas felis eget convallis maximus. Curabitur maximus, ligula vel sagittis iaculis, risus nisi tincidunt sem, ut ultricies libero nulla eu ligula. Nam ultricies mollis nulla, sed laoreet leo convallis ac. Mauris nisl risus, tincidunt ac diam aliquet, convallis pellentesque nisi. Nam sit amet libero at odio malesuada ultricies a vitae dolor. Cras in viverra felis, non consequat quam. Praesent a orci enim. Vivamus porttitor nisi at nisl egestas iaculis. Nullam commodo eget dui sollicitudin sagittis. Duis id nibh mollis, hendrerit metus consectetur, ullamcorper risus. Morbi elementum ultrices nunc, quis porta nisi ornare sit amet. <br /> <br /> Etiam tincidunt orci in nisi aliquam placerat. Aliquam finibus in sem ut vehicula. Morbi eget consectetur leo. Quisque consectetur lectus eros, sed sodales libero ornare cursus. Etiam elementum ut dolor eget hendrerit. Suspendisse eu lacus eu eros lacinia feugiat sit amet non purus.',

  "lp.sidebar.tour-title": "Take a Tour",
  "lp.sidebar.review-title": "Recent Review",

  "lp.careers.title": "Career Opportunities",
  "lp.careers.detail": "Capitalize on low hanging fruit to identify a ballpark value added activity to beta test. Override low hanging fruit to identify a ballpark.",
  "lp.careers-herd.title": "Join the Herd",
  "lp.careers-herd.detail": "Data citizen-centered granular, effective altruism white paper engaging; best practices thought partnership optimism. Shared value benefit corporation equal opportunity the resistance human-centered philanthropy revolutionary commitment co-create. Society, improve the world, resilient state of play equal opportunity indicators.",

  "lp.careers-positions.title": "Open Positions",
  "lp.careers-positions.detail": "Data citizen-centered granular, effective altruism white paper engaging; best practices thought partnership optimism.",
  "lp.careers-positions.title-1": "Sr. Product Designer",
  "lp.careers-positions.location-1": "New York",
  "lp.careers-positions.tag-1": "DESIGN",
  "lp.careers-positions.title-2": "Sr. Art Director",
  "lp.careers-positions.location-2": "London",
  "lp.careers-positions.tag-2": "DESIGN",
  "lp.careers-positions.title-3": "Sr. Mobile Developer(React Native)",
  "lp.careers-positions.location-3": "New York",
  "lp.careers-positions.tag-3": "DEVELOPMENT",
  "lp.careers-positions.title-4": "Sr. Mobile Developer(Android)",
  "lp.careers-positions.location-4": "New York",
  "lp.careers-positions.tag-4": "DEVELOPMENT",

  "lp.videodetails.title": "Dynamically Target Capital",
  "lp.videodetails.detail": "Iterative approaches to corporate strategy foster collaborative thinking to further the overall value proposition.",

  "lp.content.title": "Systems Thinking Correlation", 
  "lp.content.detail": "Green space global, policymaker; shared value disrupt segmentation social capital.", 

  "lp.feedback.default": "Was this helpful?",
  "lp.feedback.like": "Thanks, glad to help!",
  "lp.feedback.dislike": "Thanks, we will work on this!",
  "lp.feedback.nay": "Nay",
  "lp.feedback.yay": "Yay",

  "lp.confirmation.title": "E-mail Confirmed!",
  "lp.confirmation.detail-1": "Thank you for your confirmation.",
  "lp.confirmation.detail-2": "You can start using Gogo or might want to check out",
  "lp.confirmation.link": "documentation",
  "lp.confirmation.home": "GO TO HOME",

};
